/* wconfig_start.cc
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2006,2011 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wconfig_start.hh"
#include "wconfig.h"
#include "worker.h"
#include "worker_locale.h"
#include <aguix/stringgadget.h>

StartPanel::StartPanel( AWindow &basewin, WConfig &baseconfig ) : WConfigPanel( basewin, baseconfig )
{
}

StartPanel::~StartPanel()
{
}

int StartPanel::create()
{
  Panel::create();

  AContainer *ac1 = setContainer( new AContainer( this, 1, 2 ), true );
  ac1->setBorderWidth( 5 );
  ac1->setMinSpace( 10 );
  ac1->setMaxSpace( 10 );

  addMultiLineText( catalog.getLocale( 681 ),
                    *ac1,
                    0, 0,
                    NULL, NULL );

  AContainer *ac1_1 = ac1->add( new AContainer( this, 2, 2 ), 0, 1 );
  ac1_1->setBorderWidth( 0 );
  ac1_1->setMinSpace( 5 );
  ac1_1->setMaxSpace( 5 );
  
  ac1_1->add( new Text( _aguix, 0, 0, catalog.getLocale( 46 ), 1 ),
              0, 0, AContainer::CO_FIX );
  
  sg1 = (StringGadget*)ac1_1->add( new StringGadget( _aguix, 0, 0, 100, _baseconfig.getStartDir( 0 ), 0 ),
                                   1, 0, AContainer::CO_INCW );
  
  ac1_1->add( new Text( _aguix, 0, 0, catalog.getLocale( 47 ), 1 ),
              0, 1, AContainer::CO_FIX );
  
  sg2 = (StringGadget*)ac1_1->add( new StringGadget( _aguix, 0, 0, 100, _baseconfig.getStartDir( 1 ), 0 ),
                                   1, 1, AContainer::CO_INCW );
  
  contMaximize( true );
  return 0;
}

int StartPanel::saveValues()
{
  _baseconfig.setStartDir( 0, sg1->getText() );
  _baseconfig.setStartDir( 1, sg2->getText() );
  return 0;
}
